<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/default_dune_plugin.php';
require_once 'lib/utils.php';
require_once 'lib/tv/tv_group_list_screen.php';
require_once 'lib/tv/tv_favorites_screen.php';
require_once 'Smart_entry_handler.php';
require_once 'Smart_config.php';
require_once 'Smart_file_screen.php';
require_once 'Smart_m3u_tv.php';
require_once 'Smart_setup_screen.php';
require_once 'Smart_tv_channel_list_screen.php';

///////////////////////////////////////////////////////////////////////////

class SmartPlugin extends DefaultDunePlugin
{
    public function __construct()
    {
        $this->tv = new SmartM3uTv();
		$this->entry_handler = new SmartEntryHandler($this->vod);
        $this->add_screen(new TvGroupListScreen($this->tv, SmartConfig::GET_TV_GROUP_LIST_FOLDER_VIEWS()));
        $this->add_screen(new SmartTvChannelListScreen($this->tv, SmartConfig::GET_TV_CHANNEL_LIST_FOLDER_VIEWS()));
        $this->add_screen(new TvFavoritesScreen($this->tv, SmartConfig::GET_TV_CHANNEL_LIST_FOLDER_VIEWS()));
        $this->add_screen(new SmartSetupScreen());
		$this->add_screen(new SmartFileSystemScreen());
    }

}

///////////////////////////////////////////////////////////////////////////
?>
